#
# spec file for package gdbm (Version 1.8.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gdbm
#!BuildIgnore: man
Prefix:         /usr
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Version:        1.8.3
Release:        243.2
Summary:        GNU Database Routines
Source:         ftp://prep.ai.mit.edu/gnu/gdbm/gdbm-%{version}.tar.bz2
Patch:          gdbm-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A static and dynamic library for the GNU database routines.



%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       gdbm = %{version}
Provides:       gdbm:/usr/lib/libgdbm.so
PreReq:         %install_info_prereq
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%prep
%setup
%patch

%build
%{suse_update_config -f}
aclocal
autoreconf --force --install
%ifarch sparc64
export CC="gcc -m64"
%endif
CFLAGS="$RPM_OPT_FLAGS -Wa,--noexecstack" ./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
make install-compat INSTALL_ROOT=$RPM_BUILD_ROOT
echo "/* GNU ld script
   Use the shared library, but some functions are only in
   the static library, so try that secondarily.  */
GROUP ( /usr/%{_lib}/libgdbm.so /usr/%{_lib}/libgdbm_compat.so )" > $RPM_BUILD_ROOT/%{_libdir}/libndbm.so
echo "/* GNU ld script
   Use the shared library, but some functions are only in
   the static library, so try that secondarily.  */
GROUP ( /usr/%{_lib}/libgdbm.a /usr/%{_lib}/libgdbm_compat.a )" > $RPM_BUILD_ROOT/%{_libdir}/libndbm.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS
%{_prefix}/%{_lib}/libgdbm.so.3
%{_prefix}/%{_lib}/libgdbm.so.3.0.0
%{_prefix}/%{_lib}/libgdbm_compat.so.3
%{_prefix}/%{_lib}/libgdbm_compat.so.3.0.0

%files devel
%defattr(-,root,root)
%{_prefix}/include/dbm.h
%{_prefix}/include/gdbm.h
%{_prefix}/include/ndbm.h
%doc %{_infodir}/gdbm.info.gz
%{_prefix}/%{_lib}/libgdbm.a
%{_prefix}/%{_lib}/libgdbm.so
%{_prefix}/%{_lib}/libgdbm.la
%{_prefix}/%{_lib}/libgdbm_compat.a
%{_prefix}/%{_lib}/libgdbm_compat.so
%{_prefix}/%{_lib}/libgdbm_compat.la
%{_prefix}/%{_lib}/libndbm.a
%{_prefix}/%{_lib}/libndbm.so
%doc %{_mandir}/man3/gdbm.3.gz

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n gdbm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 24 2005 - kukuk@suse.de
- Don't reuse old temporary files in gdbm_reorganize [#105763]
* Mon Aug 30 2004 - schwab@suse.de
- Fix uses of libtool.
* Fri Nov 21 2003 - kukuk@suse.de
- Compile with no execstack
- Build as normal user
* Wed Jul 02 2003 - kukuk@suse.de
- Remove man from buildsystem
* Mon May 12 2003 - kukuk@suse.de
- Use defattr
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Fri Jan 10 2003 - kukuk@suse.de
- Use fcntl instead of flock for locking
* Mon Dec 02 2002 - kukuk@suse.de
- Update to gdbm 1.8.3 (lot of bug fixes)
* Fri Aug 09 2002 - kukuk@suse.de
- Fix requires for gdbm-devel [Bug #17543]
* Thu May 30 2002 - olh@suse.de
- use aclocal + autoreconf --force --install, fix for ppc64
* Wed Apr 17 2002 - kukuk@suse.de
- Remove gdbm 1.7.3
* Tue Dec 11 2001 - froh@suse.de
- the Makefile.in of gdbm 1.7 is missing @libdir@, instead of patching
  that we follow sparc64 and ia64 and just ommit gdbm 1.7 on s390x.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Oct 27 2000 - kukuk@suse.de
- Create devel subpackage
* Mon Sep 25 2000 - kukuk@suse.de
- Use BuildRoot
* Thu Jun 01 2000 - kukuk@suse.de
- Add group tag
* Tue Apr 04 2000 - kukuk@suse.de
- Add ltconfig fix
* Tue Apr 04 2000 - kukuk@suse.de
- Add automake to need for build
* Mon Apr 03 2000 - bk@suse.de
- s390 team added config.{sub,guess} update macros for s390
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 21 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Oct 18 1999 - kukuk@suse.de
- gdbm 1.8.0: Fix memory leak
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - kukuk@suse.de
- Fix file list
* Thu Aug 26 1999 - kukuk@suse.de
- Add libgdbm 1.8.0 as default
* Mon Jun 28 1999 - kukuk@suse.de
- Add libndbm.so and libndbm.a link
* Mon Mar 01 1999 - ro@suse.de
- added ndbm.h for glibc-2.1
* Mon Feb 22 1999 - ro@suse.de
- link explicitly with -lc
* Fri Dec 18 1998 - ro@suse.de
- respect alpha in specfile
* Mon Dec 07 1998 - ro@suse.de
- pack ndbm.h only for libc5
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
* Thu Jan 02 1997 - florian@suse.de
- add ndbm.h header files
